#!/bin/bash
file="dxc_2023_08_14.zip"

if [ ! -d contrib ]; then
    echo "Could not find 'contrib'. Make sure to run this script from the projects root directory."
    exit 1;
fi

mkdir -p contrib/dxc
wget https://github.com/microsoft/DirectXShaderCompiler/releases/download/v1.7.2308/$file -O contrib/dxc/$file
unzip contrib/dxc/$file -d contrib/dxc
rm contrib/dxc/$file

